 <?php
 
$chimpsettings = new jmml_class;
 
$api = new MCAPI($apikey);

$lists = $api->lists();
 
if (isset($_POST['Submit'])) {;

	ksort($_POST['jm_mailchimp_settings']);

	//print_r( $_POST['jm_mailchimp_settings']);

	$jm_mailchimp_settings = implode("~", $_POST['jm_mailchimp_settings']);
	
	echo $jm_mailchimp_settings;

	if(update_option('jm_mailchimp_settings', $jm_mailchimp_settings)){
		$message = 'Your settings have been updated!';
	}else{
		$message = 'Something went wrong....';
	};

};
 
?>

<div class="wrap">

<div id="poststuff">

<h2>Mailing List - Settings</h2> 

<?php
	
	echo $chimpsettings->update_message($message);
	
	$mailchimp_settings = get_option('jm_mailchimp_settings');
	$jm_mailchimp_settings = explode("~", $mailchimp_settings);
	
?>

    <form method="post" enctype="multipart/form-data" action="<?php bloginfo('url'); echo $_SERVER['PHP_SELF']; ?>?page=mailing_list_settings">
    
        <div class="stuffbox" id="namediv">
        
        <h3><label>API KEY</label></h3> 
        
        <div class="inside">
        
        <input type="text" name="jm_mailchimp_settings[0]" id="paypal" value="<?php echo $jm_mailchimp_settings[0] ?>" style="<?php if ($jm_mailchimp_settings[0] ==''){echo "border:2px solid red;";}?>"/>	
        
        <p>The API key generated for you in your Mailchimp account.</p>
        
        </div>

        </div>
        
        <div class="stuffbox" id="namediv">
        
			<h3><label>List</label></h3> 
			
			<div class="inside">
			
				<select name="jm_mailchimp_settings[1]">
				
					<?php
					
					foreach ($lists['data'] as $list){?>
						<option value="<?php echo $list['id']; ?>" <?php if($jm_mailchimp_settings[1] == $list['id']){echo " selected "; }?>><?php echo $list['name']; ?></option>	
					<?php }
					?>
				
				</select>
				
				<p>Select the list for the sign up widget to add subscribers to.</p>
			
			</div>

        </div>            
        
        <div class="stuffbox" id="namediv">
        
        <h3><label>Social</label></h3> 
        
        <div class="inside">
        
        Facebook: <input type="text" name="jm_mailchimp_settings[2]" id="facebook" value="<?php echo $jm_mailchimp_settings[1] ?>"/>	
        
        Twitter: <input type="text" name="jm_mailchimp_settings[3]" id="twitter" value="<?php echo $jm_mailchimp_settings[2] ?>"/>
        
        Youtube: <input type="text" name="jm_mailchimp_settings[4]" id="youtube" value="<?php echo $jm_mailchimp_settings[3] ?>"/>
        
        Myspace: <input type="text" name="jm_mailchimp_settings[5]" id="myspace" value="<?php echo $jm_mailchimp_settings[4] ?>"/>
        
        Flickr: <input type="text" name="jm_mailchimp_settings[6]" id="flickr" value="<?php echo $jm_mailchimp_settings[5] ?>"/>
        
        Delicious: <input type="text" name="jm_mailchimp_settings[7]" id="delicious" value="<?php echo $jm_mailchimp_settings[6] ?>"/>
        
        <p>Enter the full URLs to your social networking sites.</p>
        
        </div>

        </div>         
		
        <p class="submit">
        
        <input type="submit" name="Submit" class="button-primary" id="submit" value="<?php esc_attr_e('Update Settings') ?>" />
    	
        </p>
        
    </form>		

</div>

</div>