<script type="text/javascript">
var editing  = false;

if (document.getElementById && document.createElement) {
	var butt = document.createElement('BUTTON');
	var buttext = document.createTextNode('Save');
	butt.appendChild(buttext);
	butt.onclick = saveEdit;
}

function catchIt(e) {
	if (editing) return;
	if (!document.getElementById || !document.createElement) return;
	if (!e) var obj = window.event.srcElement;
	else var obj = e.target;
	if (obj.title != 'editable') return;
	var style = obj.getAttribute('style');
	while (obj.nodeType != 1) {
		obj = obj.parentNode;
	}
	if (obj.tagName == 'TEXTAREA' || obj.tagName == 'A') return;
	while (obj.nodeName != 'P' && obj.nodeName != 'HTML') {
		obj = obj.parentNode;
	}
	if (obj.nodeName == 'HTML') return;
	var x = obj.innerHTML;
	var y = document.createElement('TEXTAREA');
	var z = obj.parentNode;
	y.setAttribute("style",style);
	z.insertBefore(y,obj);
	z.insertBefore(butt,obj);
	z.removeChild(obj);
	y.value = x;
	y.focus();
	editing = true;
}

function saveEdit() {
	var area = document.getElementsByTagName('TEXTAREA')[0];
	var y = document.createElement('P');
	y.setAttribute("title","editable");
	var z = area.parentNode;
	var style = area.getAttribute('style');
	y.setAttribute("style",style);;
	y.innerHTML = area.value;
	z.insertBefore(y,area);
	z.removeChild(area);
	z.removeChild(document.getElementsByTagName('button')[0]);
	editing = false;
}


document.onclick = catchIt;
</script>

<script type="text/javascript" >
$(function(){
	$('.column').sortable({
		connectWith: '.column',
		handle: '',
		cursor: 'move',
		placeholder: 'placeholder',
		forcePlaceholderSize: true,
		opacity: 0.4,
		stop: function(event, ui){
			$(ui.item).find('h6').click();
			var sortorder='';
			$('.column').each(function(){
				var itemorder=$(this).sortable('toArray');
				var columnId=$(this).attr('id');
				sortorder+=columnId+'='+itemorder.toString()+'&';
			});
			//alert('SortOrder: '+sortorder);
			/*Pass sortorder variable to server using ajax to save state*/
		}
	})
	.disableSelection();
});
</script>

<script type="text/javascript">
	$(document).ready(main);
	function main()
	{
		$("#toolbox_widgets").makeFloat({x:"50%",y:100});
	}		
</script>

<script type="text/javascript">  
    floatingMenu.add('floatdiv',  
        {   
             centerX: true,  
             centerY: true,  
             snap: true  
        });  
</script>  

<?php 

/* from widgets.php */

/** WordPress Administration Bootstrap */
require_once( './admin.php' );

/** WordPress Administration Widgets API */
require_once(ABSPATH . 'wp-admin/includes/widgets.php');

if ( ! current_user_can('edit_theme_options') )
	wp_die( __( 'Cheatin&#8217; uh?' ));

wp_admin_css( 'widgets' );

$widgets_access = get_user_setting( 'widgets_access' );
if ( isset($_GET['widgets-access']) ) {
	$widgets_access = 'on' == $_GET['widgets-access'] ? 'on' : 'off';
	set_user_setting( 'widgets_access', $widgets_access );
}

if ( 'on' == $widgets_access )
	add_filter( 'admin_body_class', create_function('', '{return " widgets_access ";}') );
else
	wp_enqueue_script('admin-widgets');

do_action( 'sidebar_admin_setup' );

$title = __( 'Widgets' );
$parent_file = 'themes.php';

$help = '
	<p>' . __('Widgets are independent sections of content that can be placed into any widgetized area provided by your theme (commonly called sidebars). To populate your sidebars/widget areas with individual widgets, drag and drop the title bars into the desired area. By default, only the first widget area is expanded. To populate additional widget areas, click on their title bars to expand them.') . '</p>
	<p>' . __('The Available Widgets section contains all the widgets you can choose from. Once you drag a widget into a sidebar, it will open to allow you to configure its settings. When you are happy with the widget settings, click the Save button and the widget will go live on your site. If you click Delete, it will remove the widget.') . '</p>
	<p>' . __('If you want to remove the widget but save its setting for possible future use, just drag it into the Inactive Widgets area. You can add them back anytime from there. This is especially helpful when you switch to a theme with fewer or different widget areas.') . '</p>
	<p>' . __('Widgets may be used multiple times. You can give each widget a title, to display on your site, but it&#8217;s not required.') . '</p>
	<p>' . __('Enabling Accessibility Mode, via Screen Options, allows you to use Add and Edit buttons instead of using drag and drop.') . '</p>
	<p>' . __('Many themes show some sidebar widgets by default until you edit your sidebars, but they are not automatically displayed in your sidebar management tool. After you make your first widget change, you can re-add the default widgets by adding them from the Available Widgets area.') . '</p>
';
$help .= '<p><strong>' . __('For more information:') . '</strong></p>';
$help .= '<p>' . __('<a href="http://codex.wordpress.org/Appearance_Widgets_SubPanel" target="_blank">Documentation on Widgets</a>') . '</p>';
$help .= '<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>';
add_contextual_help($current_screen, $help);

// register the inactive_widgets area as sidebar
register_sidebar(array(
	'name' => __('Inactive Widgets'),
	'id' => 'wp_inactive_widgets',
	'description' => '',
	'before_widget' => '',
	'after_widget' => '',
	'before_title' => '',
	'after_title' => '',
));

// These are the widgets grouped by sidebar
$sidebars_widgets = wp_get_sidebars_widgets();
if ( empty( $sidebars_widgets ) )
	$sidebars_widgets = wp_get_widget_defaults();

if ( count($wp_registered_sidebars) == 1 ) {
	// If only "wp_inactive_widgets" is defined the theme has no sidebars, die.
	require_once( './admin-header.php' );
?>

	<div class="wrap">
	<?php screen_icon(); ?>
	<h2><?php echo esc_html( $title ); ?></h2>
		<div class="error">
			<p><?php _e( 'No Sidebars Defined' ); ?></p>
		</div>
		<p><?php _e( 'The theme you are currently using isn&#8217;t widget-aware, meaning that it has no sidebars that you are able to change. For information on making your theme widget-aware, please <a href="http://codex.wordpress.org/Widgetizing_Themes">follow these instructions</a>.' ); ?></p>
	</div>

<?php
	require_once( './admin-footer.php' );
	exit;
}

// We're saving a widget without js
if ( isset($_POST['savewidget']) || isset($_POST['removewidget']) ) {
	$widget_id = $_POST['widget-id'];
	check_admin_referer("save-delete-widget-$widget_id");

	$number = isset($_POST['multi_number']) ? (int) $_POST['multi_number'] : '';
	if ( $number ) {
		foreach ( $_POST as $key => $val ) {
			if ( is_array($val) && preg_match('/__i__|%i%/', key($val)) ) {
				$_POST[$key] = array( $number => array_shift($val) );
				break;
			}
		}
	}

	$sidebar_id = $_POST['sidebar'];
	$position = isset($_POST[$sidebar_id . '_position']) ? (int) $_POST[$sidebar_id . '_position'] - 1 : 0;

	$id_base = $_POST['id_base'];
	$sidebar = isset($sidebars_widgets[$sidebar_id]) ? $sidebars_widgets[$sidebar_id] : array();

	// delete
	if ( isset($_POST['removewidget']) && $_POST['removewidget'] ) {

		if ( !in_array($widget_id, $sidebar, true) ) {
			wp_redirect( admin_url('widgets.php?error=0') );
			exit;
		}

		$sidebar = array_diff( $sidebar, array($widget_id) );
		$_POST = array('sidebar' => $sidebar_id, 'widget-' . $id_base => array(), 'the-widget-id' => $widget_id, 'delete_widget' => '1');
	}

	$_POST['widget-id'] = $sidebar;

	foreach ( (array) $wp_registered_widget_updates as $name => $control ) {
		if ( $name != $id_base || !is_callable($control['callback']) )
			continue;

		ob_start();
			call_user_func_array( $control['callback'], $control['params'] );
		ob_end_clean();

		break;
	}

	$sidebars_widgets[$sidebar_id] = $sidebar;

	// remove old position
	if ( !isset($_POST['delete_widget']) ) {
		foreach ( $sidebars_widgets as $key => $sb ) {
			if ( is_array($sb) )
				$sidebars_widgets[$key] = array_diff( $sb, array($widget_id) );
		}
		array_splice( $sidebars_widgets[$sidebar_id], $position, 0, $widget_id );
	}

	wp_set_sidebars_widgets($sidebars_widgets);
	wp_redirect( admin_url('widgets.php?message=0') );
	exit;
}

// Output the widget form without js
if ( isset($_GET['editwidget']) && $_GET['editwidget'] ) {
	$widget_id = $_GET['editwidget'];

	if ( isset($_GET['addnew']) ) {
		// Default to the first sidebar
		$sidebar = array_shift( $keys = array_keys($wp_registered_sidebars) );

		if ( isset($_GET['base']) && isset($_GET['num']) ) { // multi-widget
			// Copy minimal info from an existing instance of this widget to a new instance
			foreach ( $wp_registered_widget_controls as $control ) {
				if ( $_GET['base'] === $control['id_base'] ) {
					$control_callback = $control['callback'];
					$multi_number = (int) $_GET['num'];
					$control['params'][0]['number'] = -1;
					$widget_id = $control['id'] = $control['id_base'] . '-' . $multi_number;
					$wp_registered_widget_controls[$control['id']] = $control;
					break;
				}
			}
		}
	}

	if ( isset($wp_registered_widget_controls[$widget_id]) && !isset($control) ) {
		$control = $wp_registered_widget_controls[$widget_id];
		$control_callback = $control['callback'];
	} elseif ( !isset($wp_registered_widget_controls[$widget_id]) && isset($wp_registered_widgets[$widget_id]) ) {
		$name = esc_html( strip_tags($wp_registered_widgets[$widget_id]['name']) );
	}

	if ( !isset($name) )
		$name = esc_html( strip_tags($control['name']) );

	if ( !isset($sidebar) )
		$sidebar = isset($_GET['sidebar']) ? $_GET['sidebar'] : 'wp_inactive_widgets';

	if ( !isset($multi_number) )
		$multi_number = isset($control['params'][0]['number']) ? $control['params'][0]['number'] : '';

	$id_base = isset($control['id_base']) ? $control['id_base'] : $control['id'];

	// show the widget form
	$width = ' style="width:' . max($control['width'], 350) . 'px"';
	$key = isset($_GET['key']) ? (int) $_GET['key'] : 0;

	require_once( './admin-header.php' ); ?>
	<div class="wrap">
	<?php screen_icon(); ?>
	<h2><?php echo esc_html( $title ); ?></h2>
	<div class="editwidget"<?php echo $width; ?>>
	<h3><?php printf( __( 'Widget %s' ), $name ); ?></h3>

	<form action="widgets.php" method="post">
	<div class="widget-inside">
<?php
	if ( is_callable( $control_callback ) )
		call_user_func_array( $control_callback, $control['params'] );
	else
		echo '<p>' . __('There are no options for this widget.') . "</p>\n"; ?>
	</div>

	<p class="describe"><?php _e('Select both the sidebar for this widget and the position of the widget in that sidebar.'); ?></p>
	<div class="widget-position">
	<table class="widefat"><thead><tr><th><?php _e('Sidebar'); ?></th><th><?php _e('Position'); ?></th></tr></thead><tbody>
<?php
	foreach ( $wp_registered_sidebars as $sbname => $sbvalue ) {
		echo "\t\t<tr><td><label><input type='radio' name='sidebar' value='" . esc_attr($sbname) . "'" . checked( $sbname, $sidebar, false ) . " /> $sbvalue[name]</label></td><td>";
		if ( 'wp_inactive_widgets' == $sbname ) {
			echo '&nbsp;';
		} else {
			if ( !isset($sidebars_widgets[$sbname]) || !is_array($sidebars_widgets[$sbname]) ) {
				$j = 1;
				$sidebars_widgets[$sbname] = array();
			} else {
				$j = count($sidebars_widgets[$sbname]);
				if ( isset($_GET['addnew']) || !in_array($widget_id, $sidebars_widgets[$sbname], true) )
					$j++;
			}
			$selected = '';
			echo "\t\t<select name='{$sbname}_position'>\n";
			echo "\t\t<option value=''>" . __('&mdash; Select &mdash;') . "</option>\n";
			for ( $i = 1; $i <= $j; $i++ ) {
				if ( in_array($widget_id, $sidebars_widgets[$sbname], true) )
					$selected = selected( $i, $key + 1, false );
				echo "\t\t<option value='$i'$selected> $i </option>\n";
			}
			echo "\t\t</select>\n";
		}
		echo "</td></tr>\n";
	} ?>
	</tbody></table>
	</div>

	<div class="widget-control-actions">
<?php
	if ( isset($_GET['addnew']) ) { ?>
	<a href="widgets.php" class="button alignleft"><?php _e('Cancel'); ?></a>
<?php
	} else {
		submit_button( __( 'Delete' ), 'button alignleft', 'removewidget', false );
	}
	submit_button( __( 'Save Widget' ), 'button-primary alignright', 'savewidget', false ); ?>
	<input type="hidden" name="widget-id" class="widget-id" value="<?php echo esc_attr($widget_id); ?>" />
	<input type="hidden" name="id_base" class="id_base" value="<?php echo esc_attr($id_base); ?>" />
	<input type="hidden" name="multi_number" class="multi_number" value="<?php echo esc_attr($multi_number); ?>" />
<?php	wp_nonce_field("save-delete-widget-$widget_id"); ?>
	<br class="clear" />
	</div>
	</form>
	</div>
	</div>
<?php
	require_once( './admin-footer.php' );
	exit;
}

$messages = array(
	__('Changes saved.')
);

$errors = array(
	__('Error while saving.'),
	__('Error in displaying the widget settings form.')
);

require_once( './admin-header.php' );

do_action( 'widgets_admin_page' );
global $wp_registered_widget_updates, $wp_registered_sidebars, $sidebars_widgets, $wp_registered_widgets;

do_action( 'widgets_admin_page' );
/*end widgets.php code */

$api = new MCAPI($apikey);

$edit = false;

if(isset($_GET['id'])){
	$id = $_GET['id'];
	$edit = true;
}

$lists = $api->lists();

global $wpdb;
	
$settings = get_option('jm_settings');
$jm_settings = explode("~", $settings);
$page = $jm_settings[1];
$uploadpath = get_option('upload_path');

$mailchimp_settings = get_option('jm_mailchimp_settings');
$jm_mailchimp_settings = explode("~", $mailchimp_settings);

$releases = $wpdb->get_results("SELECT * from " . $wpdb->prefix . "jm_albums where active = 1 order by release_date asc");

if (isset($_POST['Submit'])){

	$type = 'regular';

	$opts['list_id'] = $_POST['listid'];
	$opts['subject'] = $_POST['subject'];
	$opts['from_email'] = $_POST['fromemail']; 
	$opts['from_name'] = $_POST['fromname'];
	$opts['to_name'] = $_POST['toname'];

	$opts['generate_text'] = true;
	$opts['inline_css'] = false;
	$opts['auto_footer'] = true;

	$opts['tracking']=array('opens' => true, 'html_clicks' => true, 'text_clicks' => true);

	$content = array('html'=>stripslashes($_POST['html']));

	$retval = $api->campaignCreate($type, $opts, $content);

	if ($api->errorCode){
		echo '<div id="message" class="updated fade below-h2">';
		echo "Unable to create campaign!";
		echo "\n\tCode=".$api->errorCode;
		echo "\n\tMsg=".$api->errorMessage."\n";
		echo '</div>';
	} else {
		echo '<div id="message" class="updated fade below-h2">';
		echo "New Campaign ID:".$retval."\n";
		echo '</div>';
	}

}

if (isset($_POST['Submit_edit'])){

	$cid = $_POST['cid'];

	$retval = $api->campaignUpdate($cid, 'list_id', $_POST['listid']);
	$retval = $api->campaignUpdate($cid, 'subject', $_POST['subject']);
	$retval = $api->campaignUpdate($cid, 'from_email', $_POST['fromemail']); 
	$retval = $api->campaignUpdate($cid, 'from_name', $_POST['fromname']);
	$retval = $api->campaignUpdate($cid, 'to_name', $_POST['toname']);
	$retval = $api->campaignUpdate($cid, 'auto_footer', 'false');
	
	$content = array('html'=>stripslashes($_POST['html']));

	$retval = $api->campaignUpdate($cid, 'content', $content);
	
	if ($api->errorCode){
		echo '<div id="message" class="updated fade below-h2">';
		echo "Unable to update campaign!";
		echo "\n\tCode=".$api->errorCode;
		echo "\n\tMsg=".$api->errorMessage."\n";
		echo '</div>';
	} else {
		echo '<div id="message" class="updated fade below-h2">';
		echo "Campaign updated!\n";
		echo '</div>';
	}

}

if($edit){
	$filters['campaign_id'] = $id;
	$details = $api->campaigns($filters);
	$content = $api->campaignContent($id);
	//echo "<pre>";
	//print_r($details);
	//echo "</pre>";	
}
	
?>
<div class="wrap">

<div id="poststuff">

<h2>Mailing List - Campaigns <a class="button add-new-h2" href="">Add New</a></h2> 
<link media="all" type="text/css" href="http://wptheme.co.uk/chimppress/wp-admin/load-styles.php?c=1&amp;dir=ltr&amp;load=widgets,global,wp-admin,ms&amp;ver=6544bc1d450e7580216a90e578532e08" rel="stylesheet">
<script src="http://wptheme.co.uk/chimppress/wp-admin/load-scripts.php?c=1&amp;load=admin-bar,hoverIntent,common,jquery-color,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-ui-draggable,jquery-ui-droppable,admin-widgets&amp;ver=ebb99e5edea58a6a7ce4a1f1f1b46bf9" type="text/javascript"></script>


    <form method="post" enctype="multipart/form-data" action="<?php echo $_SERVER['PHP_SELF']; ?>?page=mailing_list_campaign_add<?php if($edit){ echo "&id=" . $id; }?>">
    
        <div class="stuffbox" id="namediv">
        
			<h3><label>List</label></h3> 
			
			<div class="inside">
			
				<select name="listid">
				
					<?php
					
					foreach ($lists['data'] as $list){?>
						<option value="<?php echo $list['id']; ?>" <?php if($details['data']['0']['list_id'] == $list['id']){echo " selected "; }?>><?php echo $list['name']; ?></option>	
					<?php }
					?>
				
				</select>
				
				<p>Select the list you wish to send this campaign to.</p>
			
			</div>

        </div>  
		
        <div class="stuffbox" id="namediv">
        
			<h3><label>Email headers</label></h3> 
			
			<div class="inside">
			
				<input type="text" value="<?php if($edit){ echo $details['data']['0']['title']; } ?>" name="subject"/>
				
				<p>The subject line of your email.</p>
				
				<input type="text" value="<?php if($edit){ echo $details['data']['0']['from_email']; } ?>" name="fromemail" />
				
				<p>From email address.</p>
				
				<input type="text" value="<?php if($edit){ echo $details['data']['0']['from_name']; } ?>" name="fromname" />
				
				<p>From name (not an email address).</p>

				<input type="text" value="<?php if($edit){ echo $details['data']['0']['to_name']; } ?>" name="toname" />
				
				<p>To name (not an email address).</p>					
			
			</div>

        </div> 		
        
		<h2>Preview <input id="refresh" type="button" value="Preview" onclick="preview()" /> <img src="../wp-content/plugins/ChimpPress/img/arrows_refresh.gif" id="refresh_gif" style="display:none;" /> <img src="../wp-content/plugins/ChimpPress/img/tick.png" id="tick_png" style="display:none;" /></h2>
		
		<div id="floatdiv" style="display:none; height:0px;"><a onclick="close_popup();">CLOSE</a><iframe name="pre_save_iframe" id="pre_save_iframe" width="100%" height="100%"></iframe></div>
		
		
		
		<div id="mailing_list_preview">
		
		<?php if($edit){?>
		
		 <style type="text/css">
			img{max-width: 580px;}
			#content_column img{max-width: 400px}
			#siderbar_column img {max-width: 180px;}
			#maincontentcolumn1 img, #maincontentcolumn2 img, #maincontentcolumn3 img {max-width: 114px;}
			.main_title p{color: #47c8db; font: bold 32px Helvetica, Arial, sans-serif; margin: 0; padding: 0; line-height: 40px;}

		</style>
				
		<?php 
		function removestuff($content){
	
			$string_to_find = '<center>';
	
	
			$pos1 = strrpos($content, $string_to_find);
			if ($pos1 === false) { // note: three equal signs
	    	// not found...
			}else{
				//echo strrpos($content, $string_to_find);
				
			}
			
			$second_string_to_find = '</center>';
			
			$pos2 = strrpos($content, $second_string_to_find);
			if ($pos2 === false) { // note: three equal signs
	    	// not found...
			}else{
				//echo strrpos($content, $second_string_to_find);
				
			}
			
			$length_of_first_string = strlen($string_to_find);
			
			$start_position = $pos1 + $length_of_first_string;
			
			$length = $pos2 - $start_position;
			
			$string_to_remove = substr($content  ,$start_position, $length);
	
			//echo "Code to be removed identified as ".$string_to_remove;
			
			return str_replace($string_to_remove, "", $content);
			
		}		
		$html_content = str_replace('#awesomebar img {margin:0; padding:0}</style></div>', '', $content['html']);
		echo removestuff($html_content);
		//print_r($content);
		//echo "</pre>";
		}else{?>		
		
		 <style type="text/css">
			img{max-width: 580px;}
			#content_column img{max-width: 400px}
			#siderbar_column img {max-width: 180px;}
			#maincontentcolumn1 img, #maincontentcolumn2 img, #maincontentcolumn3 img {max-width: 114px;}
			.main_title p{color: #47c8db; font: bold 32px Helvetica, Arial, sans-serif; margin: 0; padding: 0; line-height: 40px;}

		</style>
		
<table cellpadding="0" cellspacing="0" border="0" align="center" width="100%" style="padding: 35px 0; background: #4b4b4b;" id="main_table_container">
	<tr>
		<td align="center" style="margin: 0; padding: 0;;">
			<table cellpadding="0" cellspacing="5" border="0" align="center" width="600" style="font-family: Helvetica, Arial, sans-serif;background:#2a2a2a;" class="header" id="header_column">
				<tr>
					<td width="600" align="left" style="padding: 18px 0 10px;" class="column" height="100">
						<div class="dragbox" id="header_title">
							<p style="color: #47c8db;font: bold 32px Helvetica, Arial, sans-serif;margin: 0;padding: 0;line-height: 40px;" title="editable" id="email_title">Your from name will go here!</p>
							<div class="">	
								<p title="editable" style="color: #c6c6c6;font: normal 12px Helvetica, Arial, sans-serif;margin: 0;padding: 0;line-height: 18px;" id="email_sub_title">Your subject line will go here!</p>
							</div>
						</div>	
					</td>
				</tr>
			</table><!-- header-->
			<table cellpadding="0" cellspacing="5" border="0" align="center" width="600" style="font-family: Helvetica, Arial, sans-serif; background: #fff ;" bgcolor="#fff">
				<tr>
					<td width="186" valign="top" align="left" style="color: rgb(118, 118, 118); font-weight: normal; margin: 0pt; padding: 0pt; line-height: 20px; font-size: 12px; font-family: Helvetica,Arial,sans-serif;" bgcolor="#fff" id="siderbar_column" class="sidebar">
						<!--START LEFT COLUMN -->
						<div class="widget-liquid-right">
						<div id="widgets-right">
						<?php ini_set( "display_errors", 0); ?>
								<div class="widgets-holder-wrap">
								<div class="sidebar-name">
								<div class="sidebar-name-arrow"><br /></div>
								<h3><?php //echo $registered_sidebar['name']; ?>
								<span><img src="<?php echo esc_url( admin_url( 'images/wpspin_dark.gif' ) ); ?>" class="ajax-feedback" title="" alt="" /></span></h3></div>
						
								<?php wp_list_widget_controls('chimppressa'); // Show the control forms for each of the widgets in this sidebar ?>
								</div>
								<?php
						ini_set( "display_errors", 1);?>
						</div>
						</div>
						<form action="" method="post">
						<?php wp_nonce_field( 'save-sidebar-widgets', '_wpnonce_widgets', false ); ?>
						</form>
						<!--END LEFT COLUMN -->
					</td>
					<td width="414" valign="top" align="left" style="font-family: Helvetica, Arial, sans-serif;" id="content_column" class="content column">
						<!--START MAIN CONTENT -->
						<div class="widget-liquid-right">
						<div id="widgets-right">
						<?php ini_set( "display_errors", 0); ?>
								<div class="widgets-holder-wrap">
								<div class="sidebar-name">
								<div class="sidebar-name-arrow"><br /></div>
								<h3><?php //echo $registered_sidebar['name']; ?>
								<span><img src="<?php echo esc_url( admin_url( 'images/wpspin_dark.gif' ) ); ?>" class="ajax-feedback" title="" alt="" /></span></h3></div>
						
								<?php wp_list_widget_controls('chimppressb'); // Show the control forms for each of the widgets in this sidebar ?>
								</div>
								<?php
						ini_set( "display_errors", 1);?>
						</div>
						</div>
						<form action="" method="post">
						<?php wp_nonce_field( 'save-sidebar-widgets', '_wpnonce_widgets', false ); ?>
						</form>
						<!--END MAIN CONTENT -->
						<div class="dragbox" id="3columns">
								<table cellpadding="0" cellspacing="5" border="0" align="center" width="100%" bgcolor="#fff">
									<tr>
										<td width="33%" height="100" class="column" id="maincontentcolumn1" valign="top"></td>
										<td width="33%" height="100" class="column" id="maincontentcolumn2" valign="top"></td>
										<td width="33%" height="100" class="column" id="maincontentcolumn3" valign="top"></td>
									</tr>
								</table>
							
						</div>
					</td>
				</tr>
				<tr>
					<td align="left" width="600" style="padding: font-size: 0; line-height: 0; height: 3px;" height="3" colspan="2"></td>
				</tr>	
			</table><!-- body -->
		</td>
	</tr>
</table>
		
		
		<?php };?>
		
		</div>		
		
		<div id="toolbox_widgets" class="stuffbox" style="height:400px;">
		
			<h3 style="height:20px;"><label><img width="20" height="20" src="../wp-content/plugins/ChimpPress/img/toolbox.png" style="float:left;padding-right:5px;"><span style="position: relative; float: left; margin-top: 5px;">Toolbox <a onclick="show_hide('toolbox_widgets')">Show/Hide</a></span></label></h3> 
			
			<div class="inside" id="toolbox_inside">
		
				<h2>Widgets</h2>
			
				<div id="newslettertoolbox" class="">
				<div id="widget-list">
					<div class="widget ui-draggable" id="thedate" >			
						<div class="widget-top">
							<div class="widget-title-action">
								<a href="#available-widgets" class="widget-action hide-if-no-js"></a>
								<a href="/chimppress/wp-admin/widgets.php?editwidget=categories-3&amp;sidebar=chimppress&amp;key=0" class="widget-control-edit hide-if-js"><span class="edit">Edit</span><span class="add">Add</span></a>
							</div>						
							<div class="widget-title"><h4>The Date<span class="in-widget-title"></span></h4></div>	
						</div>
						<div class="widget-inside" style="display:none;">
							<div class="newsletter_the_date" >		
								<?php $newsletter_date=getdate(date("U")); print("$newsletter_date[weekday], $newsletter_date[mday] $newsletter_date[month], $newsletter_date[year]");
							?> 
							</div>
							<div class="widget-control-actions">
									<div class="alignleft">
									<a href="#remove" class="widget-control-remove">Delete</a> |
									<a href="#close" class="widget-control-close">Close</a>
									</div>
									<div class="alignright">
									<img alt="" title="" class="ajax-feedback " src="http://wptheme.co.uk/chimppress/wp-admin/images/wpspin_light.gif">
									<input type="submit" value="Save" class="button-primary widget-control-save" id="savewidget" name="savewidget">		</div>
									<br class="clear">
							</div>							
						</div>								
					</div>
					
					<?php if ($jm_mailchimp_settings[2] != '' || $jm_mailchimp_settings[3] != '' || $jm_mailchimp_settings[4] != '' || $jm_mailchimp_settings[5] != '' || $jm_mailchimp_settings[6] != '' || $jm_mailchimp_settings[7] != ''){ ?>
					<div class="dragbox" id="socialnetworks" >			
						<h6></h6>
						<div class="" >		
							<?php if ($jm_mailchimp_settings[2] != ''){ ?>
								<a href="<?php echo $jm_mailchimp_settings[2]; ?>"><img src="http://moozim.com/wp-content/mu-plugins/JealousMusic/socialmediaicons/FaceBook-icon.png" alt="Visit us on Facebook!"></a>
							<?php } ?>
							<?php if ($jm_mailchimp_settings[3] != ''){ ?>
								<a href="<?php echo $jm_mailchimp_settings[3]; ?>"><img src="http://moozim.com/wp-content/mu-plugins/JealousMusic/socialmediaicons/Twitter-icon.png" alt="Tweet us!"></a>
							<?php } ?>
							<?php if ($jm_mailchimp_settings[4] != ''){ ?>
								<a href="<?php echo $jm_mailchimp_settings[4]; ?>"><img src="http://moozim.com/wp-content/mu-plugins/JealousMusic/socialmediaicons/Youtube-icon.png" alt="Rate our Videos on YouTube!"></a>
							<?php } ?>
							<?php if ($jm_mailchimp_settings[5] != ''){ ?>
								<a href="<?php echo $jm_mailchimp_settings[5]; ?>"><img src="http://moozim.com/wp-content/mu-plugins/JealousMusic/socialmediaicons/MySpace-icon.png" alt="Become our friend on Myspace!"></a>
							<?php } ?>
							<?php if ($jm_mailchimp_settings[6] != ''){ ?>
								<a href="<?php echo $jm_mailchimp_settings[6]; ?>"><img src="http://moozim.com/wp-content/mu-plugins/JealousMusic/socialmediaicons/Flickr-icon.png" alt="Look at our piccies on Flickr!"></a>
							<?php } ?>
							<?php if ($jm_mailchimp_settings[7] != ''){ ?>
								<a href="<?php echo $jm_mailchimp_settings[7]; ?>"><img src="http://moozim.com/wp-content/mu-plugins/JealousMusic/socialmediaicons/delicious-icon.png" alt="Read what we're reading on Delicious!"></a>
							<?php } ?>
						</div>
					</div>	
					<?php } ?>	
					
					<div class="widget ui-draggable" id="thedate" >			
						<div class="widget-top">
							<div class="widget-title-action">
								<a href="#available-widgets" class="widget-action hide-if-no-js"></a>
								<a href="/chimppress/wp-admin/widgets.php?editwidget=categories-3&amp;sidebar=chimppress&amp;key=0" class="widget-control-edit hide-if-js"><span class="edit">Edit</span><span class="add">Add</span></a>
							</div>						
							<div class="widget-title"><h4>Title<span class="in-widget-title"></span></h4></div>	
						</div>
						<div class="widget-inside" style="display:none;">
							<div class="newsletter_a_heading" >		
								<p style="color: #47c8db;font: bold 32px Helvetica, Arial, sans-serif;margin: 0;padding: 0;line-height: 40px;" title="editable" id="email_title">A Large Title</p>
							</div>
						</div>								
					</div>
					
					<div class="widget ui-draggable" id="thedate" >			
						<div class="widget-top">
							<div class="widget-title-action">
								<a href="#available-widgets" class="widget-action hide-if-no-js"></a>
								<a href="/chimppress/wp-admin/widgets.php?editwidget=categories-3&amp;sidebar=chimppress&amp;key=0" class="widget-control-edit hide-if-js"><span class="edit">Edit</span><span class="add">Add</span></a>
							</div>						
							<div class="widget-title"><h4>Sub Title<span class="in-widget-title"></span></h4></div>	
						</div>
						<div class="widget-inside" style="display:none;">
							<div class="newsletter_sub_heading" >		
								<p title="editable" style="color: #c6c6c6;font: normal 12px Helvetica, Arial, sans-serif;margin: 0;padding: 0;line-height: 18px;" id="email_sub_title">A Sub-Title</p>
							</div>
						</div>								
					</div>
					<?php wp_list_widgets(); ?>									
				</div>
				</div>	
					
				<h2>Images <input id="upload_image_button" type="button" value="Upload New Image" /> <input id="refresh" type="button" value="Refresh Images" onclick="updateimages()" /> <img src="../wp-content/plugins/ChimpPress/img/arrows_refresh.gif" id="refresh_gif" style="display:none;" /> <img src="../wp-content/plugins/ChimpPress/img/tick.png" id="tick_png" style="display:none;" /></h2>
				
				<div id="newslettertoolbox" class="widget uploaded_images">
					
					<div id="_images" class="column">
						<?php include_once('image_widgets.php'); ?>
					</div>	
				
				</div>			
				
				<a onclick="addmainsection()" class="button-primary" style="float:left;clear:both;margin-bottom:20px;">Add Content Section</a>
				
				<div class="stuffbox" id="namediv">
		        
		        	<h3><label>Customise appearance</label></h3> 
		        
		        	<div class="inside" id="itemslist">
					
						<span id="colorselectname">Background: </span><input onchange="updatepreview(this.id, this.value, 'background')" id="main_table_container" class="color" style="width:70px;" /> <br/>
						
						<span id="colorselectname">Header background: </span><input onchange="updatepreview(this.id, this.value, 'background')" id="header_column" class="color" style="width:70px;" /> <br/>
						
						<span id="colorselectname">Title text: </span><input onchange="updatepreview(this.id, this.value, 'color')" id="email_title" class="color" style="width:70px;" /> <br/>
						
						<span id="colorselectname">Sub title text: </span><input onchange="updatepreview(this.id, this.value, 'color')" id="email_sub_title" class="color" style="width:70px;" /> <br/>
		                
		                <p></p>
		        
		        	</div>
		
		        </div>
			
			</div>
        
        </div>
		
		<input type="hidden" value="" name="html" id="form_content"/>
		
        <p class="submit">
        
        <?php if($edit){ ?>
        	<input type="hidden" value="<?php echo $id; ?>" name="cid" />
        	<input type="submit" onclick="updatecontents()" name="Submit_edit" class="button-primary" id="submit" value="<?php esc_attr_e('Update Campaign') ?>" />
        <?php }else{ ?>
        	<input type="submit" onclick="updatecontents()" name="Submit" class="button-primary" id="submit" value="<?php esc_attr_e('Add Campaign') ?>" />
    	<?php } ?>
        </p>
        
    </form>		

</div>

</div>

<form method="POST" action="<?php echo plugins_url( 'pre_save_preview.php' , __FILE__ ); ?>" target="pre_save_iframe" name="pre_save_preview_form">
	<input type="hidden" value="" name="html" id="pre_save_preview_form_content"/>
	<input type="hidden" value="" name="sidebar_chimppressa" id="sidebar_chimppressa"/>
	<input type="hidden" value="" name="sidebar_chimppressb" id="sidebar_chimppressb"/>
</form>
<div id="preview_overlay" style="display:none;height:0px;"></div>
<?php

$dir= 'plugins';

?>

<script type="text/javascript">
function updatecontents(){
	document.getElementById("form_content").value = document.getElementById("mailing_list_preview").innerHTML;
	document.forms["submitmailinglist"].submit();
}
function updatepreview(id, value, type){
	var typefunction = type;
	switch(typefunction){
		case "background":
			document.getElementById(id).style.backgroundColor = '#'+value;
			break;
		case "innerHTML":
			document.getElementById(id).innerHTML = value;
			break;	
		case "color":
			document.getElementById(id).style.color = '#'+value;
			break;					
		default:
			alert('Style function not recognised!');
	}
}
var i = 0;
function addmainsection() {
	i++;
	document.getElementById("content_column").innerHTML = document.getElementById("content_column").innerHTML + "<div class=\"dragbox\" id=\"contentarea"+i+"\" ><h6></h6><p style=\"color:#646464; font-weight: bold; margin: 0; padding: 0; line-height: 26px; font-size: 18px; font-family: Helvetica, Arial, sans-serif; \" title=\"editable\">Rather original title, number uno</p><div class=\"\" ><p style=\"color:#767676; font-weight: normal; margin: 0; padding: 0; line-height: 20px; font-size: 12px;font-family: Helvetica, Arial, sans-serif; \" title=\"editable\">Some great content here!<br>Use &lt;br&gt; for a line break!</p></div>";
			}	
			
function updateimages() {
	document.getElementById('refresh_gif').style.display="block";
	document.getElementById('tick_png').style.display="none";
	// Mozilla version
	if (window.XMLHttpRequest) {
		xhr = new XMLHttpRequest();
	}
	// IE version
	else if (window.ActiveXObject) {
		xhr = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xhr.open("GET","../wp-content/<?php echo $dir; ?>/ChimpPress/image_widgets.php?refresh=true");
	xhr.setRequestHeader(
		'Content-Type',
		'application/x-www-form-urlencoded; charset=UTF-8');
	xhr.send();
	xhr.onreadystatechange=function() {
		if (xhr.readyState==4) {
			document.getElementById('refresh_gif').style.display="none";
			document.getElementById('tick_png').style.display="block";
			var data = xhr.responseText;
			document.getElementById('_images').innerHTML = data;
		}
	}
	return false;
}	

function close_popup(){
	document.getElementById('pre_save_iframe').innerHTML="UDATING...";
	document.getElementById('preview_overlay').style.display="none";
	document.getElementById('preview_overlay').style.height="0px";
	document.getElementById('floatdiv').style.display="none";
	document.getElementById('floatdiv').style.height="0px";
}

function updatesidebars() {
	document.getElementById('refresh_gif').style.display="block";
	document.getElementById('tick_png').style.display="none";
	// Mozilla version
	if (window.XMLHttpRequest) {
		xhr = new XMLHttpRequest();
	}
	// IE version
	else if (window.ActiveXObject) {
		xhr = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xhr.open("GET","../wp-content/<?php echo $dir; ?>/ChimpPress/get_sidebar.php?sidebar="+sidebar);
	xhr.setRequestHeader(
		'Content-Type',
		'application/x-www-form-urlencoded; charset=UTF-8');
	xhr.send();
	xhr.onreadystatechange=function() {
		if (xhr.readyState==4) {
			var data_array = xhr.responseText;
			data = data_array.split('<!------!>');
			document.getElementById('sidebar_chimppressa').value = data[0];
			document.getElementById('sidebar_chimppressb').value = data[1];
			document.getElementById("pre_save_preview_form_content").value = document.getElementById("mailing_list_preview").innerHTML;
			document.getElementById('floatdiv').style.display="block";
			document.getElementById('floatdiv').style.height="60%";
			document.getElementById('preview_overlay').style.display="block";
			document.getElementById('preview_overlay').style.height="100%";
			
			document.forms["pre_save_preview_form"].submit();
			document.getElementById('refresh_gif').style.display="none";
			document.getElementById('tick_png').style.display="block";			
			//return true;
		}
	}
	return false;
}	

function preview(){
	
	updatesidebars();	
	

}	

function show_hide(id){
	if(document.getElementById(id).style.height=='400px'){
		document.getElementById(id).style.height='33px';
		document.getElementById(id).style.overflow="hidden";
	}else{
		document.getElementById(id).style.height='400px';
		document.getElementById(id).style.overflow="visible";
	}
}	
</script>
<div style="display:none;">
						<?php
						ini_set( "display_errors", 0);
						$i = 0;
						foreach ( $wp_registered_sidebars as $sidebar => $registered_sidebar ) {
								if ( 'wp_inactive_widgets' == $sidebar )
									continue;
								if ( 'chimppressa' == $sidebar )
									continue;
								if ( 'chimppressb' == $sidebar )
									continue;																		
									 ?>
								<div class="widgets-holder-wrap">
								<div class="sidebar-name">
								<div class="sidebar-name-arrow"><br /></div>
								<h3><?php echo $registered_sidebar['name']; ?>
								<span><img src="<?php echo esc_url( admin_url( 'images/wpspin_dark.gif' ) ); ?>" class="ajax-feedback" title="" alt="" /></span></h3></div>
						
								<?php wp_list_widget_controls($sidebar); // Show the control forms for each of the widgets in this sidebar 	
							}
						$i++;
						ini_set( "display_errors", 1);?>
</div>